
/*
Created by: Peeyush
Created on: Nov 14 2021
Email: j.k.peeyush@gmail.com
Description: declares all global vaiables
Version: 1.0
Project: PRASI Labs
Security: Confidential
License: NA
*/
////////////////////////////////////////////////////////////////////////////////////////////////////
const models=require('express-cassandra');
const path=require('path');
var __dirname=path.resolve();
console.log(__dirname);
const modelsPath = path.join(__dirname,'/module');
models.setDirectory(modelsPath).bind(
    {
        clientOptions: {
            contactPoints: ['localhost'],
            localDataCenter: 'datacenter1',
            protocolOptions: { port: 9042 },
            keyspace: 'prasilabs',
            queryOptions: {consistency: models.consistencies.one},
            credentials: {
                username: 'cassandra',
                password: 'cassandra'
            }
        },
        ormOptions: {
            defaultReplicationStrategy : {
                class: 'NetworkTopologyStrategy',
                replication_factor: 1
            },
            disableTTYConfirmation: true,
            migration: 'safe'
        }
    },
    function(err) {
        if(err) throw err;
    }
);