/*
Created by: Peeyush
Created on: July 14 2021
Email: j.k.peeyush@gmail.com
Description: Model definition of Zip table in Cassandra DB
Version: 1.0
Project: PRASI Labs
Security: Confidential
License: NA
*/
////////////////////////////////////////////////////////////////////////////////////////////////////
//Zip module definition
module.exports = {
    fields: {
        id: {
            type: "uuid",
            default: { "$db_function": "uuid()" }
        },
        updatedby: "varchar",
        createdby: "varchar",
        created: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        },
        updated: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        }
        , status: "varchar",
        zip: "int",
        state: "varchar",
        country: "varchar",
        zid: "varchar"
    },
    key: [["zid"], "zip","id"],
    clustering_order: { "zip": "desc" },
}