
/*
Created by: Peeyush
Created on: 26 Jan 2022
Email: j.k.peeyush@gmail.com
Description: Model definition of lov table in Cassandra DB
Version: 1.0
Project: PRASI Labs
Security: Confidential
License: NA
*/
////////////////////////////////////////////////////////////////////////////////////////////////////
//Key module definition
module.exports = {
    fields: {
        updatedby: "varchar",
        createdby: "varchar",
        created: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        },
        updated: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        },
        id: {
            type: "uuid",
            default: { "$db_function": "uuid()" }
        },
        status: "varchar",
        lovname: "varchar",
        lovvalue: "varchar"
    },
    key: [["id"], "lovname"],
}
