/*
Created by: Peeyush
Created on: July 14 2021
Email: j.k.peeyush@gmail.com
Description: Model definition of Phone table in Cassandra DB
Version: 1.0
Project: PRASI Labs
Security: Confidential
License: NA
*/
////////////////////////////////////////////////////////////////////////////////////////////////////
//Phone module definition
module.exports = {
    fields: {
        id: {
            type: "uuid",
            default: { "$db_function": "uuid()" }
        },
        updatedby: "varchar",
        createdby: "varchar",
        created: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        },
        updated: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        }
        , status: {
            type: "boolean",
            default: "true"
        },
        pid: "varchar",
        phone: "varchar",
        mobile: "varchar",
        status: "varchar",
        subscription: {
            type: "boolean",
            default: false
        }
    },
    key: [["pid"], "id"],
    clustering_order: { "id": "desc" },
}