
/*
Created by: Peeyush
Created on: July 14 2021
Email: j.k.peeyush@gmail.com
Description: Model definition of User table in Cassandra DB
Version: 1.0
Project: PRASI Labs
Security: Confidential
License: NA
*/
////////////////////////////////////////////////////////////////////////////////////////////////////
//User module definition
module.exports = {
    fields: {
        id: {
            type: "uuid",
            default: { "$db_function": "uuid()" }
        },
        status: "varchar",
        type: "varchar",
        logintoken: "varchar",
        apitoken: "varchar",
        userid: "varchar",
        emailid:"varchar",
        accntid: "varchar",
        password: "varchar",
        lastlogin: "timestamp",
        updatedby: "varchar",
        createdby: "varchar",
        created: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        },
        updated: {
            type: "timestamp",
            default: { "$db_function": "toTimestamp(now())" }
        }
    },
    key: [["userid"],  "id"],
    clustering_order: { "id": "asc" },
}
